Subject: bug#31547: 25.3; Core dump: g_main_context_prepare() called recursively from within a source's check() or prepare() member.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Jun 2018 22:23:48 +0300

> Cc: [email-masked]
> From: Marc Wilhelm Küster <[email-masked]>
> Date: Sat, 2 Jun 2018 19:05:29 +0200
> 
> > If the crash is reproducible, can you give a step by step recipe,
> > starting from "emacs -Q", for reproducing it?
> the first part is
> 
> emacs -Q
> 
> package-install-packages
> 
> Install package "wanderlust" (version 20180506.128)
> 
> Start wanderlust (meta x wl)
> 
> No comes the problem - given the error message (cf. below) I assume that 
> the crash is triggered by trying to display the concrete content of my 
> Sent folder (though it is triggered systematically once I open it)
> 
> How could we proceed on this?

I suggest to run Emacs under GDB in X synchronous mode, and then
examining the X error that brings it down.  The file etc/DEBUG
explains how to run Emacs in X synchronous mode, search for "If you
encounter X protocol errors".  We need to know the exact X protocol
request that caused the error, and also the backtrace from there.  The
GDB command "bt" will show the backtrace.

Thanks.